﻿using ProjectOpticsStore.Entities.Enums;
using System.ComponentModel;

public class Product
{
    public int Id { get; private set; }

    [DisplayName("Тип Товара")]
    public ProductTypeEnum Type { get; private set; }

    [DisplayName("Мощность")]
    public double Power { get; private set; }

    [DisplayName("Цена")]
    public int Price { get; private set; }

    [DisplayName("Магазин")]
    public int Store { get; private set; }

    [DisplayName("Толщина (чево)")]
    public float Thickness { get; private set; }

    [DisplayName("Болезнь")]
    public string Disease { get; private set; } = string.Empty;


    public static Product CreateEntity(int id, ProductTypeEnum type, double power, int price, int store, float thickness, string disease)
    {
        return new Product
        {
            Id = id,
            Type = type,
            Power = power,
            Price = price,
            Store = store,
            Thickness = thickness,
            Disease = disease ?? string.Empty
        };
    }
}
