﻿using ProjectOpticsStore.Entities.Enums;
using System.ComponentModel;

namespace ProjectOpticsStore.Entities;

public class Supply
{
    public int Id { get; private set; }

    [Browsable(false)]
    public int StoreId { get; private set; }

    [Browsable(false)]
    public int ProductId { get; private set; } // Связь многие-к-одному с товарами

    [DisplayName("Магазин")]
    public string StoreName { get; private set; } = string.Empty; //Добавил имя магазина

    [DisplayName("Товар")]
    public string ProductName { get; private set; } = string.Empty;

    [DisplayName("Количество")]
    public int Quantity { get; private set; } // Количество поставленного товара

    [DisplayName("Дата спецоперации")]
    public DateTime OperationDate { get; private set; }

    public static Supply CreateOperation(int id, int storeId, int productId, int quantity)
    {
        return new Supply
        {
            Id = id,
            StoreId = storeId,
            OperationDate = DateTime.Now,
            ProductId = productId,
            Quantity = quantity
        };
    }
}

