using ProjectOpticsStore.Forms;
using Unity;

namespace ProjectOpticsStore;

public partial class FormOpticsStore : Form
{
    private readonly IUnityContainer _container;

    public FormOpticsStore(IUnityContainer container)
    {
        InitializeComponent();
        _container = container ?? throw new ArgumentNullException(nameof(container));
    }

    //   
    private void ProductsToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormProducts>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "     ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void StoresToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormStores>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "     ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void CustomersToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormCustomers>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "     ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    //   
    private void SupplyToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormSupplies>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "     ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void OrderToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormOrders>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "     ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void DirectoryReportToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormDirectoryReport>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "    ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void productReportToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormProductReport>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "      ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ProductDistributionToolStripMenuItem_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormSupplyDistributionReport>().ShowDialog();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "      ", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }

    private void ExitToolStripMenuItem_Click(object sender, EventArgs e)
    {
        Close();
    }

}